:root {
    --c-color-main-1: #363b4e;
    --c-color-main-2: #4f3b78;
    --c-color-main-3: #927fbf;
    --c-color-main-4: #c4bbf0;
    --c-color-green: #3baea0;
    --c-color-red: #cd4545;
}

#app .c-bg-main-1 {
    background-color: var(--c-color-main-1);
}

#app .c-bg-main-2 {
    background-color: var(--c-color-main-2);
}

#app .c-bg-red {
    background-color: var(--c-color-red);
}

#app .c-text-green {
    color: var(--c-color-green);
}

#app .c-text-red {
    color: var(--c-color-red);
}

#app .c-text-left {
    text-align: left;
}

#app .c-text-right {
    text-align: right;
}

/* Input */

/* https://github.com/Airmime/minstyle.io/blob/master/css/scss/contents/_form.scss */
#app input[type="date"] {
    /* General */
    display: inline-block;
    height: 40px;
    width: 100%;
    appearance: none;
    box-sizing: border-box;
    box-shadow: none;

    /* Font */
    font-family: Inter, sans-serif;
    color: rgba(var(--main-text-color), 1);
    font-size: 0.98rem;

    /* Background */
	background-color: rgba(var(--main-bg), 1);

    /* Border */
	border: 2px solid rgba(var(--default-border-color), 1);
	border-radius: var(--default-border-radius);

    /* Margin */
	margin: 0;
	padding: 0 0.8rem;
}

#app input[type="file"] {
    height: auto;
}

/* https://github.com/Airmime/minstyle.io/blob/master/css/scss/elements/_button.scss */
#app input[type="file"]::file-selector-button {
    /* General */
    cursor: pointer;

    /* Border */
	border: none;
	border-radius: var(--default-border-radius);

    /* Font */
	font-family: "Inter", sans-serif;
}

/* Header */

#app .ms-menu .ms-menu-logo a {
    color: var(--c-color-main-3);
}

#app .ms-menu .ms-menu-link ul {
    margin: 0;
}

#app .ms-menu .ms-menu-link ul li a {
    display: block;
    padding: 0 15px;
    font-weight: normal;
    transition: none;
}

#app .ms-menu .ms-menu-link ul li a:hover {
    color: var(--main-text-color);
}

#app .ms-menu .ms-menu-link ul li:has(a:hover),
#app .ms-menu .ms-menu-link .c-active-nav {
    border-bottom: 5px solid rgba(var(--default-border-color), 1);
}

/* Table Card */

#app .c-table th, #app .c-table td {
    padding: 8px 6px 8px 6px;
}

#app .c-card .ms-card-btn {
    margin-bottom: 4px;
}

#app .c-card .ms-card-btn .c-transactions-btn {
    margin-top: 4px;
}

#app .c-card .ms-card-content {
    padding-bottom: 0;
}

#app .c-card .ms-card-content .ms-table {
    margin-bottom: 0;
}

#app .c-table a,
#app .ms-card .ms-card-title a {
    color: var(--main-text-color);
}

#app .c-table a:hover,
#app .ms-card .ms-card-title a:hover {
    color: var(--c-color-main-3);
}

/* Form */

#app .c-form {
    margin-top: 16px;
    width: 560px;
    max-width: 100%;
}

#app .c-form ul {
    margin-top: 4px;
}

#app .c-form .ms-card-content {
    padding-bottom: 0;
}

#app .c-form .ms-card-content p {
    margin-bottom: 8px;
}

#app .c-inline-form select {
    height: 34px;
    width: auto;
    margin-right: 6px;
    padding-right: 28px;
}

/* Style Box */

#app .c-style-box-title {
    display: block;
    margin-bottom: 6px;
    text-align: center;
}

#app .c-style-box {
    width: 100%;
    height: 0;
    padding-bottom: 100%;
}

#app .c-style-box .c-style-box-row {
    display: flex;
    justify-content: center;
}

#app .c-style-box .c-style-box-row:first-child {
    margin-bottom: 5px;
}

#app .c-style-box .c-style-box-row:last-child {
    margin-top: 5px;
}

#app .c-style-box .c-style-box-row .c-style-box-row-item {
    width: 32%;
    height: 0;
    padding-bottom: 32%;
}

#app .c-style-box .c-style-box-row .c-style-box-row-item:first-child {
    margin-right: 5px;
}

#app .c-style-box .c-style-box-row .c-style-box-row-item:last-child {
    margin-left: 5px;
}

#app .c-style-box .c-style-box-row:first-child .c-style-box-row-item:first-child {
    border-radius: var(--default-border-radius) 0 0 0;
}

#app .c-style-box .c-style-box-row:first-child .c-style-box-row-item:last-child {
    border-radius: 0 var(--default-border-radius) 0 0;
}

#app .c-style-box .c-style-box-row:last-child .c-style-box-row-item:last-child {
    border-radius: 0 0 var(--default-border-radius) 0;
}

#app .c-style-box .c-style-box-row:last-child .c-style-box-row-item:first-child {
    border-radius: 0 0 0 var(--default-border-radius);
}

#app .c-style-box .c-style-box-row .c-style-box-row-item .c-style-box-row-item-content {
    font-size: 18px;
    padding-top: 33%;
    text-align: center;
}

#app .c-style-box-1 {
    background-color: var(--c-color-main-1);
}

#app .c-style-box-2 {
    background-color: var(--c-color-main-2);
}

#app .c-style-box-3 {
    background-color: var(--c-color-main-3);
}

#app .c-style-box-4 {
    background-color: var(--c-color-main-4);
    color: black;
}

/* Net Worth Chart */

#app #net-worth-chart {
    margin-top: 16px;
}

#app #net-worth-chart .column {
    --color-1: var(--c-color-main-2);
    --color-2: var(--c-color-main-3);
}

#app #net-worth-chart .column tr {
    max-width: 150px;
}

#app #net-worth-chart .column tr th {
    font-weight: normal;
}

#app #net-worth-chart .column tr .c-nw-chart-bottom-stack {
    border-radius: 0 0 var(--default-border-radius) var(--default-border-radius);
}

#app #net-worth-chart .column tr td:last-child {
    border-radius: var(--default-border-radius) var(--default-border-radius) 0 0;
}
